package com.ruoyi.bgt.service;

import com.ruoyi.bgt.bo.BgtWageApplicationQueryBo;
import com.ruoyi.bgt.domain.BgtWageApplication;
import com.ruoyi.bgt.domain.dto.BgtWageApplicationQueryDTO;
import com.ruoyi.bgt.domain.vo.BgtWageApplicationDetailVO;
import com.ruoyi.bgt.domain.vo.BgtWageApplicationListVO;
import com.ruoyi.bgt.domain.vo.BgtWageApplicationVO;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 包工头工资申请Service接口
 *
 * @author ruoyi
 * @date 2025-02-20
 */
public interface IBgtWageApplicationService extends IServicePlus<BgtWageApplication> {
    /**
     * 查询单个
     * @return
     */
    BgtWageApplication queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<BgtWageApplication> queryPageList(BgtWageApplicationQueryBo bo);

    /**
     * 查询列表
     */
    List<BgtWageApplication> queryList(BgtWageApplicationQueryBo bo);

    /**
     * 根据新增业务对象插入包工头工资申请
     * @param bo 包工头工资申请新增业务对象
     * @return
     */
    Boolean insert(BgtWageApplication bo);

    /**
     * 根据编辑业务对象修改包工头工资申请
     * @param bo 包工头工资申请编辑业务对象
     * @return
     */
    Boolean update(BgtWageApplication bo);

    /**
     * 校验并删除数据
     * @param ids 主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	/**
	 * app查询列表
	 */
	TableDataInfo<BgtWageApplicationVO> appQueryPageList(BgtWageApplicationQueryDTO dto);

	/**
	 * app查询单个
	 */
	BgtWageApplicationDetailVO appQueryById(Long id);

	/**
	 * 查询不分页列表
	 */
	List<BgtWageApplicationListVO> appQueryList(BgtWageApplicationQueryDTO dto);
}
